## ros-indigo-librms 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(librms)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)
find_library(MYSQLCLIENT_LIB mysqlclient
  HINTS /usr/lib/mysql)
if (NOT MYSQLCLIENT_LIB)
  message(FATAL_ERROR "mysqlclient not found")
endif()

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES rms ${MYSQLCLIENT_LIB}
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

set(LIBRMS_SOURCE
  src/rms.cpp
  src/study.cpp
  src/condition.cpp
  src/log.cpp
  src/slot.cpp
  src/appointment.cpp
)

## Declare a cpp library
add_library(rms ${LIBRMS_SOURCE})

## Specify libraries to link a library or executable target against
target_link_libraries(rms
  ${catkin_LIBRARIES}
  ${MYSQLCLIENT_LIB}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS rms
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

## Copy header files
install(DIRECTORY include/rms/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/rms
  FILES_MATCHING PATTERN "*.hpp" PATTERN "*.h"
)

=== debian/changelog ===
ros-indigo-librms (0.0.3-0trusty) trusty; urgency=high

  * Merge pull request #2 from jpgr87/develop
    Use find_library to detect libmysqlclient
  * Use find_library to detect libmysqlclient
    Fedora packages libmysqlclient.so in the mysql subdirectory of the
    system library directory, which means that passing -lmysqlclient
    to the linker will result in a linking error.  This commit adds
    logic to search for libmysqlclient.so on the current library paths
    as well as the system-wide path /usr/lib/mysql.
    Signed-off-by: Rich Mattes <mailto:richmattes@gmail.com>
  * Contributors: Rich Mattes, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 18 Aug 2015 04:00:00 -0000

ros-indigo-librms (0.0.2-0trusty) trusty; urgency=high

  * fix for header installs
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 12 Dec 2014 05:00:00 -0000

ros-indigo-librms (0.0.1-0trusty) trusty; urgency=high

  * first working version of librms
  * studies and conditions
  * Initial commit
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-librms
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), libmysqlclient-dev, ros-indigo-catkin
Homepage: http://ros.org/wiki/librms
Standards-Version: 3.9.2

Package: ros-indigo-librms
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmysqlclient-dev
Description: RMS Data Log Client Library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-librms//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
